﻿using System.IO;
using System.Net;
using System.Text.RegularExpressions;

namespace WebRegex01
{
    class GetHtmlTexte
    {
        // 取得したhtmlテキスト
        public string result;

        // コンストラクタ urlを与えると、resultにhtmlテキストを入力する
        public GetHtmlTexte(string url)
        {
            WebClient wc = new WebClient();

            try
            {
                using (Stream stream = wc.OpenRead(url))
                using (StreamReader sr = new StreamReader(stream))
                {
                    // Add a user agent header in case the 
                    // requested URI contains a query.
                    // 要求されたURIに、問合せが含まれる場合に備えて、
                    // ユーザー・エージェント・ヘッダを追加します。

                    wc.Headers.Add("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.2; .NET CLR 1.0.3705;)");
                    string str = sr.ReadToEnd();
                    result = str;
                    
                }
            }
            catch 
            {
                // Let the user know what went wrong.
                // ユーザーに、何が問題になったのかを知らせます。
                // The file could not be read:
                result = "指定されたサイトを読み取れませんでした：";
                
            }

        }
    }

    class DoRegex
    {
        // 正規表現パターンを格納
        public string regexPattern;
        // 取得した一致パターンを格納
        public string RegexResult;

        public DoRegex(string pattern, string targetStr)
        {
            Regex r = new Regex(pattern);

            Match m = r.Match(targetStr);
            while (m.Success)
            {
                RegexResult = RegexResult + m.Value + "\n";
                m = m.NextMatch();
            }
        }

    }
}
